@charset "UTF-8";

/* 客室・設備 */
.room-box {
	background: #e2e2e2;
	padding: 24px 0;
}
.room {
	background: #fff;
	margin: 0 16px 24px;
	padding: 8px;
	position: relative;
}

.osusume-icon-box {  
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: -6px;
  right: 8px;
  margin: 0;
  padding: 8px 0;
  z-index: 2;
  width: 40px;
  font-size: 14px;
  color: white;
  background: #B10017;
  background: linear-gradient(#cf374b 0%, #B10017 100%);
  border-radius: 2px 0 0 0;
  writing-mode: vertical-rl;
  font-weight: bold;
}
.osusume-icon-box:before {
  position: absolute;
  content: '';
  top: 0;
  right: -5.5px;
  border: none;
  border-bottom: solid 6px #701703;
  border-right: solid 6px transparent;
}
.osusume-icon-box:after {
  content: '';
  position: absolute;
  left: 0;
  top: 100%;
  height: 0;
  width: 0;
  border-left: 20px solid #B10017;
  border-right: 20px solid #B10017;
  border-bottom: 10px solid transparent;
}
.room-name {
	font-size: 20px;
	font-weight: bold;
	display: flex;
    align-items: center;
    gap: 8px;
	margin-bottom: 8px;
}
.room-name .room-type {
	font-size: 15px;
	background: #90724E;
	width: 23px;
	height: 23px;
	color: #fff;
	display: flex;
    align-items: center;     /* 枠内での縦中央 */
    justify-content: center;  /* 枠内での横中央 */
    flex-shrink: 0;
}
.swiper.slider {
	margin-bottom: 8px;
}
.swiper.slider-thumbnail {
	margin-bottom: 8px;
}
.swiper.slider-thumbnail .room-img.swiper-slide {
	width: calc(33.333% - 8px) !important;
	margin: 0 4px;
	opacity: 0.4;
}
.swiper.slider-thumbnail .room-img.swiper-slide.swiper-slide-thumb-active {
	opacity: 1;
}
.room-description {
	margin-bottom: 8px;
}
.room-description,
.room-description p {
	line-height: 1.7em;
}
.text-box-right {
	padding: 2%;
}
.room table {
	width: 100%;
	margin: 0;
}
.equip-box {
	margin-bottom: 16px;
}
.equip-box table {
	margin: 0 16px 16px;
	width: calc(100% - 32px);
}
.room th,
.equip-box th {
	background: #f2f2f2;
}
.equip-box th {
	font-weight: bold;
}
.room th,
.room td,
.equip-box th,
.equip-box td {
	border: 1px solid #ccc;
}
.room th {
	width: 68px;
}
.equip-box td {
	font-size: 0;
	padding: 8px 8px 0;
}
.equip-box td span {
    display: inline-block;
    border: 1px solid #b3b3b3;
    border-radius: 30px;
    padding: 4px 8px;
	margin: 0 8px 8px 0;
	font-size: 16px;
}
.swiper-button-next,
.swiper-button-prev {
    color: #fff;
}
.room-filter {
    margin-bottom: 20px;
    text-align: center; /* 右寄せにする場合 */
}

#room-type-select {
    padding: 8px 15px;
    border: 1px solid #808080;
    border-radius: 8px;
    background: #fff;
    font-size: 16px;
    cursor: pointer;
	color: #808080;
}
@media screen and (min-width: 769px) {
	h3 {
		max-width: 1000px;
		margin: 0 auto 24px;
	}
	.room-filter {
		max-width: 1000px;
		margin: 0 auto 24px;
		text-align: right;
	}
	#room-type-select {
		width: 300px;
		margin-right: 8px;
	}
	.room-box {
		margin-bottom: 40px;
	}
	.room {
		width: 708px;
		margin: 0 auto 24px;
		padding: 16px;
	}
	.type-a {
		font-size: 0;
	}
	.img-box-left {
		display: inline-block;
		width: 398px;
		margin-right: 16px;
		vertical-align: top;
	}
	.text-box-right {
		display: inline-block;
		width: calc(100% - 414px);
		font-size: 16px;
		vertical-align: top;
		padding: 0;
	}
	.room th {
		width: 42px;
	}
	.equip-box {
		margin-bottom: 40px;
	}
	.equip-box table {
		max-width: 914px;
		margin: 0 auto 16px;
	}


/* HTML: <div class="ribbon">Your text content</div> */
.osusume-icon-box {
	writing-mode: horizontal-tb;
	display: flex;
	font-size: 15px;
	font-weight: bold;
	color: #fff;
	width: 80px;
}
.osusume-icon-box {
  --f: .5em; /* control the folded part*/
  --r: .8em; /* control the ribbon shape */
  
  position: absolute;
  top: 8px;
  right: calc(-1*var(--f));
  padding-inline: .25em;
  line-height: 1.8;
  background: #B10017;
  border-bottom: var(--f) solid #0005;
  border-left: var(--r) solid #0000;
  border-radius: 0 2px 0 0;
  clip-path: 
    polygon(0 0,100% 0,100% calc(100% - var(--f)),calc(100% - var(--f)) 100%,
      calc(100% - var(--f)) calc(100% - var(--f)),0 calc(100% - var(--f)),
      var(--r) calc(50% - var(--f)/2));
}

}
